Ubuntu LIve Cd does not enable bluetooth before choice menu in live-cd

Bug #644198 reported by miked on 2010-09-21
30
This bug affects 5 people
Affects Status Importance Assigned to Milestone
casper (Ubuntu)
High
Stéphane Graber
Oneiric
Undecided
Unassigned
Precise
High
Stéphane Graber
ubiquity (Ubuntu)
High
Stéphane Graber
Oneiric
High
Evan
Precise
High
Stéphane Graber

Bug Description

My Intel Duo Core Multi-Boot Apple Macintosh doe not work right with the latest Ubuntu Beta 10.10 Maverick Meerkat Live -C.D.'s.
The Live C.D. loads to the Language/Try Ubuntu or Install Ubuntu, but does not get past that point because I have a wireless Bluetooth mouse and a wireless Bluetooth Keyboard. If I plug in a usb keyboard i can tab to try ubuntu and it will load up to bluetooth load and asks for a pairkey for my wireless mouse, i don't think i have one, or don't know it. this is a new bug or obstacle, i have been able to use multiple other Live cd's without this issue.

ProblemType: Bug
DistroRelease: Ubuntu 10.10
Package: casper (not installed)
ProcVersionSignature: Ubuntu 2.6.35-22.33-generic 2.6.35.4
Uname: Linux 2.6.35-22-generic i686
Architecture: i386
Date: Tue Sep 21 01:30:54 2010
ProcEnviron:
 LANG=en_US.utf8
 SHELL=/bin/bash
SourcePackage: casper

miked (miked11) wrote :

I use either an ix386.ISO Live Cd or a AMD64 Live c.d., both have the same issues with the bluetooth not seeming to load before options to choose.

affects: ubuntu → casper (Ubuntu)
Patrice Vetsel (vetsel-patrice) wrote :

I confirm this bug on my iMac (with bluetooth keyboard and mouse). Maverick is just unusable and uninstallable.

Changed in casper (Ubuntu):
status: New → Confirmed
Patrice Vetsel (vetsel-patrice) wrote :

tested with live desktop amd64 from 2010-10-03

Colin Watson (cjwatson) on 2010-10-05
affects: casper (Ubuntu) → ubiquity (Ubuntu)
saads (shakhshir) wrote :

I can confirm this bug as well - makes it impossible to install ubuntu on home theatre pcs with a bluetooth keyboard.

tags: added: iso-testing
Evan (ev) wrote :

The ubiquity-dm session will need to include Bluetooth. This is not release-critical however, and will have to wait until Natty.

Changed in ubiquity (Ubuntu):
importance: Undecided → High
milestone: none → later
Patrice Vetsel (vetsel-patrice) wrote :

"This is not release-critical", I hope that you have talked about this point with other devs. Because I completly disagree with you :) My 2 iMac will not work and the PC of my father too (bluetooth keyboard and mouse). Ok there is a trick, but it do not show a good user experience to Maverick.

Evan (ev) on 2011-04-19
Changed in ubiquity (Ubuntu):
milestone: later → oneiric-alpha-1
Abdul Majeed (mohammedabdulm5) wrote :

I too faces the bluetooth problem and I think it should be solved quickly otherwise it would affect the users.

Colin Watson (cjwatson) on 2011-05-27
Changed in ubiquity (Ubuntu Oneiric):
assignee: nobody → Evan Dandrea (ev)
Changed in ubiquity (Ubuntu Oneiric):
milestone: oneiric-alpha-1 → oneiric-alpha-2
Evan (ev) on 2011-06-24
Changed in ubiquity (Ubuntu Oneiric):
milestone: oneiric-alpha-2 → ubuntu-11.10-beta-1
Martin Pitt (pitti) wrote :

This isn't a show-stopper for beta-1, so I lower to "medium" to keep it as a target of opportunity for beta-1. Alternatively, feel free to un-milestone and bump back to high.

Changed in ubiquity (Ubuntu Oneiric):
importance: High → Medium
Colin Watson (cjwatson) wrote :

15:03 <ev> 644198: Haven't had time for, but will sort for beta 2.

Changed in ubiquity (Ubuntu Oneiric):
importance: Medium → High
milestone: ubuntu-11.10-beta-1 → ubuntu-11.10-beta-2
Brad Figg (brad-figg) on 2011-09-02
tags: added: rls-mgr-o-tracking
Steve Langasek (vorlon) wrote :

Not in beta-2. I'm not sure we should make this change post-beta2; we've certainly had cascading failures in the past resulting from changing the ubiquity session around. Evan, should we defer this to p?

Changed in ubiquity (Ubuntu Oneiric):
milestone: ubuntu-11.10-beta-2 → ubuntu-11.10
status: Confirmed → Triaged
Changed in ubiquity (Ubuntu Oneiric):
milestone: ubuntu-11.10 → none
Steve Langasek (vorlon) wrote :

Wontfix'ing for oneiric after discussing with Kate.

Changed in ubiquity (Ubuntu Oneiric):
status: Triaged → Won't Fix
Colin Watson (cjwatson) on 2011-09-30
tags: added: rls-mgr-p-tracking
removed: rls-mgr-o-tracking
Steve Langasek (vorlon) on 2011-10-26
tags: added: rls-p-tracking
Steve Langasek (vorlon) on 2011-11-16
Changed in ubiquity (Ubuntu Precise):
milestone: none → ubuntu-12.04
Steve Langasek (vorlon) on 2012-03-08
Changed in ubiquity (Ubuntu Precise):
assignee: Evan Dandrea (ev) → Stéphane Graber (stgraber)
Stéphane Graber (stgraber) wrote :

Right so just spent some time thinking about it :)
We basically have three possible ways of "fixing" this bug (though not all fix the overall problem):
 1) Disable /lib/udev/rules.d/97-bluetooth-hid2hci.rules which will make some (not all by far) USB bluetooth receiver appear as USB HID devices hiding the bluetooth stack entirely.
 2) Run bluetooth-applet from ubiquity-dm
 3) Write our own agent dealing with the connections and our install time policy

The problem with 1) is that it'd only work with a limited set of USB receivers and will only work during install, not post-install so just delaying the problem to the first boot.

The problem with 2) is that it'll still prompt the user for the pin code or confirmation which they'll have no way to do as they won't have any input device at that point.

So I started working on 3) with the following plan:
 - Spawn a small bluetooth agent that I wrote (based on bluez-simple-agen): http://paste.ubuntu.com/875275/
 - This agent will spawn and for 5 minutes will accept any HID device connecting, also adding it to bluez's trust list.
 - The filtering is done using a mask of 0x500 (found using http://bluetooth-pentest.narod.ru/software/bluetooth_class_of_device-service_generator.html)
 - After these 5 minutes, it'll spawn bluetooth-daemon which will deal with any bluetooth device connecting from this point.
 - Post-install, ubiquity will copy /var/lib/bluetooth/ to the target so that the trust is there at boot time and the input devices work as expected.

The problem with this solution is on the security side obviously as any HID bluetooth device connecting during these 5 minutes will automatically be allowed to connect at any time on the install system. I think that the 5 minutes limitation and the bitmask mitigate that enough to be acceptable (not that we have another solution really ...).

I'm subscribing the security team for review and approval, in the mean time I'll at least add bluetooth-applet and /var/lib/bluetooth/ to ubiquity. The switch to my custom agent would be done by overriding /usr/bin/bluetooth-applet through casper.

Marc Deslauriers (mdeslaur) wrote :

I can't think of a better way to handle this, so go ahead.

Changed in casper (Ubuntu Oneiric):
status: New → Won't Fix
Changed in casper (Ubuntu Precise):
importance: Undecided → High
assignee: nobody → Stéphane Graber (stgraber)
status: New → Triaged
Changed in ubiquity (Ubuntu Precise):
milestone: ubuntu-12.04 → ubuntu-12.04-beta-2
Changed in casper (Ubuntu Precise):
milestone: none → ubuntu-12.04-beta-2
Changed in ubiquity (Ubuntu Precise):
status: Triaged → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package casper - 1.307

---------------
casper (1.307) precise; urgency=low

  * Add 50ubiquity-bluetooth-agent to detect ubiquity-bluetooth-agent and
    make bluetooth-applet call it instead (using dpkg-divert + ln).
    (LP: #644198)
 -- Stephane Graber <email address hidden> Fri, 09 Mar 2012 11:56:44 -0500

Changed in casper (Ubuntu Precise):
status: Triaged → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubiquity - 2.9.27

---------------
ubiquity (2.9.27) precise; urgency=low

  * Port keyboard indicator from xklavier to Xkl and from gconf to gsettings.
    Update the test accordingly. (LP: #950087, LP: #800561)
  * Add bin/ubiquity-bluetooth-agent, a bluetooth agent allowing any HID
    bluetooth device for 5 minutes, then spawning bluetooth-applet if
    available, otherwise simply dies.
  * Start bluetooth-applet from ubiquity-dm (LP: #644198)
  * Copy /var/lib/bluetooth to /target/var/lib/bluetooth to keep the list
    of trusted devices on the target system. (LP: #644198)
  * Update PO template and translations for new bluetooth string.
  * Automatic update of included source packages: netcfg 1.68ubuntu14,
    partman-auto 93ubuntu20, partman-auto-loop 0ubuntu21.
 -- Stephane Graber <email address hidden> Fri, 09 Mar 2012 12:11:19 -0500

Changed in ubiquity (Ubuntu Precise):
status: Fix Committed → Fix Released
Stéphane Graber (stgraber) wrote :

Would be great if someone affected could test a daily containing the new ubiquity and casper.
Tomorrow's should be fine (20120310).

I tested the agent separately from the installer and it worked for me but results may vary depending on manufacturers and what bluetooth class they're using.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers